Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2449 closed enhancement (fixed)

Remove arm/gba BSP

Reported by: Joel Sherrill Owned by: Aun-Ali Zaidi <admin@…>
Priority: normal Milestone: 5.1
Component: arch/arm Version: 4.11
Severity: normal Keywords: obsolete, BSP
Cc: Blocked By:
Blocking:

Description

Remove the arm/gba BSP per the instructions at ​​https://devel.rtems.org/wiki/Developer/Removing_a_BSP

Rationale: This BSP is for very old Nintendo hardware and required the use of either a simulator or hard to obtain programmable game cartridge. Nintendo was aggressive in shutting down resellers of those cartridges. There is no real console input and it is hard to automate testing. This was a useful BSP when there were few ARM BSPs but with the Pi, Beagle, etc. these days are long past.

Change History (6)

comment:1 Changed on 11/03/15 at 19:28:09 by Joel Sherrill

Keywords: obsolete BSP added

comment:2 Changed on 12/13/15 at 01:20:56 by Aun-Ali Zaidi <admin@…>

Owner: set to Aun-Ali Zaidi <admin@…>
Resolution: fixed
Status: newclosed

In [changeset:"0b52107768d392f65e41c075e16c563c6f87ebb6/rtems-testing"]:

rtems/bit_all_bsps: Remove gba reference

closes #2449.

comment:3 Changed on 12/13/15 at 01:21:54 by Aun-Ali Zaidi <admin@…>

In [changeset:"c8a8a6013fc3c02ae58eb343afec00a5954952e5/rtems"]:

arm/gba: Remove

updates #2449.

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 10/10/17 at 06:55:49 by Sebastian Huber

Component: bspsarch/arm

comment:6 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.